// Code generated by protoc-gen-go. DO NOT EDIT.
// source: gab.proto

package gab

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type RRequest struct {
	Kernel               string   `protobuf:"bytes,1,opt,name=kernel,proto3" json:"kernel,omitempty"`
	Initramfs            string   `protobuf:"bytes,2,opt,name=initramfs,proto3" json:"initramfs,omitempty"`
	Uuid                 string   `protobuf:"bytes,3,opt,name=uuid,proto3" json:"uuid,omitempty"`
	Label                string   `protobuf:"bytes,4,opt,name=label,proto3" json:"label,omitempty"`
	Kparams              string   `protobuf:"bytes,5,opt,name=kparams,proto3" json:"kparams,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RRequest) Reset()         { *m = RRequest{} }
func (m *RRequest) String() string { return proto.CompactTextString(m) }
func (*RRequest) ProtoMessage()    {}
func (*RRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_gab_158bc08a4a0d734d, []int{0}
}
func (m *RRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RRequest.Unmarshal(m, b)
}
func (m *RRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RRequest.Marshal(b, m, deterministic)
}
func (dst *RRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RRequest.Merge(dst, src)
}
func (m *RRequest) XXX_Size() int {
	return xxx_messageInfo_RRequest.Size(m)
}
func (m *RRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_RRequest.DiscardUnknown(m)
}

var xxx_messageInfo_RRequest proto.InternalMessageInfo

func (m *RRequest) GetKernel() string {
	if m != nil {
		return m.Kernel
	}
	return ""
}

func (m *RRequest) GetInitramfs() string {
	if m != nil {
		return m.Initramfs
	}
	return ""
}

func (m *RRequest) GetUuid() string {
	if m != nil {
		return m.Uuid
	}
	return ""
}

func (m *RRequest) GetLabel() string {
	if m != nil {
		return m.Label
	}
	return ""
}

func (m *RRequest) GetKparams() string {
	if m != nil {
		return m.Kparams
	}
	return ""
}

type RequestResponse struct {
	Grub                 []byte   `protobuf:"bytes,1,opt,name=grub,proto3" json:"grub,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RequestResponse) Reset()         { *m = RequestResponse{} }
func (m *RequestResponse) String() string { return proto.CompactTextString(m) }
func (*RequestResponse) ProtoMessage()    {}
func (*RequestResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_gab_158bc08a4a0d734d, []int{1}
}
func (m *RequestResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RequestResponse.Unmarshal(m, b)
}
func (m *RequestResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RequestResponse.Marshal(b, m, deterministic)
}
func (dst *RequestResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RequestResponse.Merge(dst, src)
}
func (m *RequestResponse) XXX_Size() int {
	return xxx_messageInfo_RequestResponse.Size(m)
}
func (m *RequestResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_RequestResponse.DiscardUnknown(m)
}

var xxx_messageInfo_RequestResponse proto.InternalMessageInfo

func (m *RequestResponse) GetGrub() []byte {
	if m != nil {
		return m.Grub
	}
	return nil
}

func init() {
	proto.RegisterType((*RRequest)(nil), "RRequest")
	proto.RegisterType((*RequestResponse)(nil), "RequestResponse")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// GabClient is the client API for Gab service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type GabClient interface {
	Request(ctx context.Context, in *RRequest, opts ...grpc.CallOption) (*RequestResponse, error)
}

type gabClient struct {
	cc *grpc.ClientConn
}

func NewGabClient(cc *grpc.ClientConn) GabClient {
	return &gabClient{cc}
}

func (c *gabClient) Request(ctx context.Context, in *RRequest, opts ...grpc.CallOption) (*RequestResponse, error) {
	out := new(RequestResponse)
	err := c.cc.Invoke(ctx, "/Gab/Request", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// GabServer is the server API for Gab service.
type GabServer interface {
	Request(context.Context, *RRequest) (*RequestResponse, error)
}

func RegisterGabServer(s *grpc.Server, srv GabServer) {
	s.RegisterService(&_Gab_serviceDesc, srv)
}

func _Gab_Request_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(GabServer).Request(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/Gab/Request",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(GabServer).Request(ctx, req.(*RRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Gab_serviceDesc = grpc.ServiceDesc{
	ServiceName: "Gab",
	HandlerType: (*GabServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Request",
			Handler:    _Gab_Request_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "gab.proto",
}

func init() { proto.RegisterFile("gab.proto", fileDescriptor_gab_158bc08a4a0d734d) }

var fileDescriptor_gab_158bc08a4a0d734d = []byte{
	// 182 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x5c, 0x8f, 0x4d, 0x0a, 0xc2, 0x30,
	0x10, 0x85, 0xa9, 0xfd, 0x33, 0x83, 0xa0, 0x0c, 0x22, 0x41, 0x5c, 0x48, 0x41, 0x71, 0x63, 0x17,
	0x7a, 0x08, 0xf7, 0xb9, 0x41, 0x82, 0x63, 0x29, 0xfd, 0x35, 0x69, 0x6e, 0xe0, 0xc1, 0xc5, 0xb1,
	0x45, 0x70, 0x37, 0xef, 0x7b, 0xf0, 0xf8, 0x06, 0x44, 0xa1, 0x4d, 0xde, 0xdb, 0x6e, 0xe8, 0xb2,
	0x57, 0x00, 0x73, 0xa5, 0xe8, 0xe9, 0xc9, 0x0d, 0xb8, 0x81, 0xa4, 0x22, 0xdb, 0x52, 0x2d, 0x83,
	0x7d, 0x70, 0x12, 0x6a, 0x4c, 0xb8, 0x03, 0x51, 0xb6, 0xe5, 0x60, 0x75, 0xf3, 0x70, 0x72, 0xc6,
	0xd5, 0x0f, 0x20, 0x42, 0xe4, 0x7d, 0x79, 0x97, 0x21, 0x17, 0x7c, 0xe3, 0x1a, 0xe2, 0x5a, 0x1b,
	0xaa, 0x65, 0xc4, 0xf0, 0x1b, 0x50, 0x42, 0x5a, 0xf5, 0xda, 0xea, 0xc6, 0xc9, 0x98, 0xf9, 0x14,
	0xb3, 0x03, 0x2c, 0x47, 0x09, 0x45, 0xae, 0xef, 0x5a, 0x47, 0x9f, 0xd9, 0xc2, 0x7a, 0xc3, 0x2a,
	0x0b, 0xc5, 0xf7, 0xe5, 0x0c, 0xe1, 0x4d, 0x1b, 0x3c, 0x42, 0x3a, 0x29, 0x8b, 0x7c, 0xb2, 0xdf,
	0xae, 0xf2, 0xbf, 0x09, 0x93, 0xf0, 0x8f, 0xd7, 0x77, 0x00, 0x00, 0x00, 0xff, 0xff, 0x06, 0xb9,
	0x40, 0x2c, 0xf0, 0x00, 0x00, 0x00,
}
